/**
 * output package name
 */
package com.kingdee.eas.custom.perfweb.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class AutoStatusEnum extends StringEnum
{
    public static final String WFQ_VALUE = "1";//alias=未发起
    public static final String ZJSPZ_VALUE = "2";//alias=总监审批中
    public static final String ZJLSPZ_VALUE = "3";//alias=总经理审批中
    public static final String SPTG_VALUE = "4";//alias=审批通过

    public static final AutoStatusEnum WFQ = new AutoStatusEnum("WFQ", WFQ_VALUE);
    public static final AutoStatusEnum ZJSPZ = new AutoStatusEnum("ZJSPZ", ZJSPZ_VALUE);
    public static final AutoStatusEnum ZJLSPZ = new AutoStatusEnum("ZJLSPZ", ZJLSPZ_VALUE);
    public static final AutoStatusEnum SPTG = new AutoStatusEnum("SPTG", SPTG_VALUE);

    /**
     * construct function
     * @param String autoStatusEnum
     */
    private AutoStatusEnum(String name, String autoStatusEnum)
    {
        super(name, autoStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static AutoStatusEnum getEnum(String autoStatusEnum)
    {
        return (AutoStatusEnum)getEnum(AutoStatusEnum.class, autoStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(AutoStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(AutoStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(AutoStatusEnum.class);
    }
}